import { WalkerOS } from '@elbwalker/types';

declare function getHashNode(str: string, length?: number): Promise<string>;

type SendDataValue = WalkerOS.Property | WalkerOS.Properties;
type SendHeaders = {
    [key: string]: string;
};
interface SendResponse {
    ok: boolean;
    data?: unknown;
    error?: string;
}

interface SendNodeOptions {
    headers?: SendHeaders;
    method?: string;
    timeout?: number;
}
declare function sendNode(url: string, data?: SendDataValue, options?: SendNodeOptions): Promise<SendResponse>;

export { type SendNodeOptions, getHashNode, sendNode };
